Subject: Re: cannot pread pack file

From: "Steven A. Falco" <[email-masked]>
Date: Wed, 09 Dec 2009 13:53:03 -0500

Nicolas Pitre wrote:
> On Wed, 9 Dec 2009, Steven A. Falco wrote:
> 
>> We have been using git for a year or two now, and suddenly, one
>> of our users got the error message:
>>
>> fatal: cannot pread pack file: No such file or directory
>> fatal: index-pack failed
>>
>> while doing a git-pull.  We are using git version git-1.6.5.5.
>>
>> I tried doing a "git fsck --full" on his repository and on the
>> one he is trying to pull from, and neither shows any error.
>>
>> If I clone his repository, the clone also gets the error message
>> when trying to pull.
>>
>> I can pull from him, but if he pulls from me, he gets the error
>> message.
>>
>> This is worrying, because the fsck doesn't show an error, but
>> clearly something is wrong.
> 
> A few questions:
> 
>  - What is the OS on which the failing Git is running?
> 

I am running on Centos 5.2.  I believe I've fixed the problem.

I thought we were running 1.6.5.5, but apparently our libexec was
pointing to an older version.  Once I corrected that, the error
went away.

Our repositories are hosted on an NFS file server, and the repo
that had the problem has some large binary fpga images in it.

Looking on the net, it seems that there was a problem with pread
returning part of a file.  I see that the new code does the pread
in a loop to work around this.  So I'm guessing that the old version
we were running didn't have the pread workaround and was therefore
failing.  Anyway, it is behaving now.

	Thanks very much for replying,
	Steve

>  - How long before the error occurs i.e. how many objects are received
>    (and the transfer size) before the error?
> 
> 
> Nicolas
> 

-- 
A: Because it makes the logic of the discussion difficult to follow.
Q: Why shouldn't I top post?
A: No.
Q: Should I top post?